> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an area



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/organizations/{orgId}/areas
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{orgId}/areas:
    post:
      tags:
        - Areas
      summary: Create an area
      operationId: postV1OrganizationsByOrgIdAreas
      parameters:
        - in: path
          name: orgId
          required: true
          schema:
            type: string
          description: ID da organização
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                description:
                  type: string
                  nullable: true
                icon:
                  type: string
                  nullable: true
                color:
                  type: string
                  nullable: true
            example:
              name: Portaria
              icon: mdi:door
              color: '#f97316'
      responses:
        '201':
          description: Area created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  org_id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                    nullable: true
                  icon:
                    type: string
                    nullable: true
                  color:
                    type: string
                    nullable: true
                  created_by:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
              example:
                id: 1
                org_id: org_abc123
                name: Portaria
                description: Equipe de portaria do condomínio
                icon: mdi:door
                color: '#f97316'
                created_by: user_abc
                created_at: '2026-10-08T10:00:00Z'
                updated_at: '2026-10-08T10:00:00Z'
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.